Subject: Re: "Curry Powder" recipe needed

From: [email-masked] (zap)
Date: Thu, 16 Feb 1995 00:20:41 GMT

In article <[email-masked]>, [email-masked] (Does it matter?) says:
>
>Hi.  Does anyone know how to mix spices into "curry powder?"
>I got everything (corriander, cumin, turmeric...) but am looking for
>some nonauthentic and modified version for my roomy who's not very
>good at Indian spices but is fond of "curry."  Well, I could go off
>to a store and get one but would rather use what I got.
>
>Thanks a bunch.
>
Normally I start by frying black mustard seeds and cumin seeds, 
if you've only got ground cumin add it later. Do this until the mustard
seeds starty popping. Then add shredded fresh ginger and crushed
garlic. Then add onions. When the onions are half done, start adding
any other vegetables you are going to use in order of hardness.. Next add
some spices from this list: generous amounts of ground/crushed
corriander,cumin, fennel,fennugreek, dried or fresh chillies, creamed coconutetc.
Then add lentils or beans if you are making a dahl.
For a vegtable dish add some fresh corriander. You can serve it now or add
stock or tomatoes for a sauce adding the dresh corriander last.
For a dahl add tumeric then water,stock etc and boil for the appropriate time
Paul